AWS IoT Device SDK C++ v2: Aws::Iotidentity::RegisterThingRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotidentity::RegisterThingRequest Class Referencefinal

`#include <RegisterThingRequest.h>`

## Public Member Functions
| RegisterThingRequest ()=default
| RegisterThingRequest (const Crt::JsonView &doc)
RegisterThingRequest & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::String > | TemplateName
Aws::Crt::Optional< Aws::Crt::Map< Aws::Crt::String, Aws::Crt::String > > | Parameters
Aws::Crt::Optional< Aws::Crt::String > | CertificateOwnershipToken

## Detailed Description

Data needed to perform a RegisterThing operation.

## Constructor & Destructor Documentation

## ◆ RegisterThingRequest() [1/2]

Aws::Iotidentity::RegisterThingRequest::RegisterThingRequest | ( |  | ) |
| default

## ◆ RegisterThingRequest() [2/2]

Aws::Iotidentity::RegisterThingRequest::RegisterThingRequest | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

RegisterThingRequest & Aws::Iotidentity::RegisterThingRequest::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotidentity::RegisterThingRequest::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ CertificateOwnershipToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotidentity::RegisterThingRequest::CertificateOwnershipToken

The token to prove ownership of the certificate. The token is generated by AWS IoT when you create a certificate over MQTT.

## ◆ Parameters

Aws::Crt::Optional<Aws::Crt::Map<Aws::Crt::String, Aws::Crt::String> > Aws::Iotidentity::RegisterThingRequest::Parameters

Optional. Key-value pairs from the device that are used by the pre-provisioning hooks to evaluate the registration request.

## ◆ TemplateName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotidentity::RegisterThingRequest::TemplateName

The provisioning template name.

The documentation for this class was generated from the following files:

- identity/include/aws/iotidentity/RegisterThingRequest.h
- identity/source/RegisterThingRequest.cpp